OpenNMS API 1.2.9

## org.opennms.netmgt.config.notifd
Class NotifdConfiguration

    java.lang.Object
      org.opennms.netmgt.config.notifd.NotifdConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class NotifdConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_acknowledgeIdSql`
`private java.lang.String` `_acknowledgeUpdateSql`
`private java.util.ArrayList` `_autoAcknowledgeList`
`private boolean` `_has_matchAll` keeps track of state for field: _matchAll
`private boolean` `_matchAll`
`private java.lang.String` `_nextGroupId`
`private java.lang.String` `_nextNotifId`
`private java.util.ArrayList` `_outageCalendarList`
`private java.lang.String` `_outstandingNoticesSql`
`private java.lang.String` `_pagesSent`
`private java.util.ArrayList` `_queueList`
`private java.lang.String` `_status`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`NotifdConfiguration()`

Method Summary
`void` `addAutoAcknowledge(AutoAcknowledge vAutoAcknowledge)`
`void` `addAutoAcknowledge(int index, AutoAcknowledge vAutoAcknowledge)`
`void` `addOutageCalendar(int index, java.lang.String vOutageCalendar)`
`void` `addOutageCalendar(java.lang.String vOutageCalendar)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addQueue(int index, Queue vQueue)`
`void` `addQueue(Queue vQueue)`
`void` `clearAutoAcknowledge()`
`void` `clearOutageCalendar()`
`void` `clearQueue()`
`java.util.Enumeration` `enumerateAutoAcknowledge()`
`java.util.Enumeration` `enumerateOutageCalendar()`
`java.util.Enumeration` `enumerateQueue()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getAcknowledgeIdSql()` Returns the value of field 'acknowledgeIdSql'.
`java.lang.String` `getAcknowledgeUpdateSql()` Returns the value of field 'acknowledgeUpdateSql'.
`AutoAcknowledge[]` `getAutoAcknowledge()`
`AutoAcknowledge` `getAutoAcknowledge(int index)`
`java.util.Collection` `getAutoAcknowledgeCollection()`
`int` `getAutoAcknowledgeCount()`
`boolean` `getMatchAll()` Returns the value of field 'matchAll'.
`java.lang.String` `getNextGroupId()` Returns the value of field 'nextGroupId'.
`java.lang.String` `getNextNotifId()` Returns the value of field 'nextNotifId'.
`java.lang.String[]` `getOutageCalendar()`
`java.lang.String` `getOutageCalendar(int index)`
`java.util.Collection` `getOutageCalendarCollection()`
`int` `getOutageCalendarCount()`
`java.lang.String` `getOutstandingNoticesSql()` Returns the value of field 'outstandingNoticesSql'.
`java.lang.String` `getPagesSent()` Returns the value of field 'pagesSent'.
`Queue[]` `getQueue()`
`Queue` `getQueue(int index)`
`java.util.Collection` `getQueueCollection()`
`int` `getQueueCount()`
`java.lang.String` `getStatus()` Returns the value of field 'status'.
`boolean` `hasMatchAll()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeAutoAcknowledge(AutoAcknowledge vAutoAcknowledge)`
`boolean` `removeOutageCalendar(java.lang.String vOutageCalendar)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeQueue(Queue vQueue)`
`void` `setAcknowledgeIdSql(java.lang.String acknowledgeIdSql)` Sets the value of field 'acknowledgeIdSql'.
`void` `setAcknowledgeUpdateSql(java.lang.String acknowledgeUpdateSql)` Sets the value of field 'acknowledgeUpdateSql'.
`void` `setAutoAcknowledge(AutoAcknowledge[] autoAcknowledgeArray)`
`void` `setAutoAcknowledge(int index, AutoAcknowledge vAutoAcknowledge)`
`void` `setAutoAcknowledgeCollection(java.util.Collection vAutoAcknowledge)`
`void` `setMatchAll(boolean matchAll)` Sets the value of field 'matchAll'.
`void` `setNextGroupId(java.lang.String nextGroupId)` Sets the value of field 'nextGroupId'.
`void` `setNextNotifId(java.lang.String nextNotifId)` Sets the value of field 'nextNotifId'.
`void` `setOutageCalendar(int index, java.lang.String vOutageCalendar)`
`void` `setOutageCalendar(java.lang.String[] outageCalendarArray)`
`void` `setOutageCalendarCollection(java.util.Collection vOutageCalendar)`
`void` `setOutstandingNoticesSql(java.lang.String outstandingNoticesSql)` Sets the value of field 'outstandingNoticesSql'.
`void` `setPagesSent(java.lang.String pagesSent)` Sets the value of field 'pagesSent'.
`void` `setQueue(int index, Queue vQueue)`
`void` `setQueue(Queue[] queueArray)`
`void` `setQueueCollection(java.util.Collection vQueue)`
`void` `setStatus(java.lang.String status)` Sets the value of field 'status'.
`static NotifdConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _status

    private java.lang.String _status

### _pagesSent

    private java.lang.String _pagesSent

### _nextNotifId

    private java.lang.String _nextNotifId

### _nextGroupId

    private java.lang.String _nextGroupId

### _outstandingNoticesSql

    private java.lang.String _outstandingNoticesSql

### _acknowledgeIdSql

    private java.lang.String _acknowledgeIdSql

### _acknowledgeUpdateSql

    private java.lang.String _acknowledgeUpdateSql

### _matchAll

    private boolean _matchAll

### _has_matchAll

    private boolean _has_matchAll

  keeps track of state for field: _matchAll

### _autoAcknowledgeList

    private java.util.ArrayList _autoAcknowledgeList

### _queueList

    private java.util.ArrayList _queueList

### _outageCalendarList

    private java.util.ArrayList _outageCalendarList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### NotifdConfiguration

    public NotifdConfiguration()

Method Detail

### addAutoAcknowledge

    public void addAutoAcknowledge(AutoAcknowledge vAutoAcknowledge)
                            throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vAutoAcknowledge` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addAutoAcknowledge

    public void addAutoAcknowledge(int index,
                                   AutoAcknowledge vAutoAcknowledge)
                            throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vAutoAcknowledge` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addOutageCalendar

    public void addOutageCalendar(java.lang.String vOutageCalendar)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vOutageCalendar` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addOutageCalendar

    public void addOutageCalendar(int index,
                                  java.lang.String vOutageCalendar)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vOutageCalendar` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addQueue

    public void addQueue(Queue vQueue)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vQueue` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addQueue

    public void addQueue(int index,
                         Queue vQueue)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vQueue` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearAutoAcknowledge

    public void clearAutoAcknowledge()

### clearOutageCalendar

    public void clearOutageCalendar()

### clearQueue

    public void clearQueue()

### enumerateAutoAcknowledge

    public java.util.Enumeration enumerateAutoAcknowledge()

### enumerateOutageCalendar

    public java.util.Enumeration enumerateOutageCalendar()

### enumerateQueue

    public java.util.Enumeration enumerateQueue()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getAcknowledgeIdSql

    public java.lang.String getAcknowledgeIdSql()

  Returns the value of field 'acknowledgeIdSql'.

  Returns:
    the value of field 'acknowledgeIdSql'.

### getAcknowledgeUpdateSql

    public java.lang.String getAcknowledgeUpdateSql()

  Returns the value of field 'acknowledgeUpdateSql'.

  Returns:
    the value of field 'acknowledgeUpdateSql'.

### getAutoAcknowledge

    public AutoAcknowledge getAutoAcknowledge(int index)
                                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getAutoAcknowledge

    public AutoAcknowledge[] getAutoAcknowledge()

### getAutoAcknowledgeCollection

    public java.util.Collection getAutoAcknowledgeCollection()

### getAutoAcknowledgeCount

    public int getAutoAcknowledgeCount()

### getMatchAll

    public boolean getMatchAll()

  Returns the value of field 'matchAll'.

  Returns:
    the value of field 'matchAll'.

### getNextGroupId

    public java.lang.String getNextGroupId()

  Returns the value of field 'nextGroupId'.

  Returns:
    the value of field 'nextGroupId'.

### getNextNotifId

    public java.lang.String getNextNotifId()

  Returns the value of field 'nextNotifId'.

  Returns:
    the value of field 'nextNotifId'.

### getOutageCalendar

    public java.lang.String getOutageCalendar(int index)
                                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getOutageCalendar

    public java.lang.String[] getOutageCalendar()

### getOutageCalendarCollection

    public java.util.Collection getOutageCalendarCollection()

### getOutageCalendarCount

    public int getOutageCalendarCount()

### getOutstandingNoticesSql

    public java.lang.String getOutstandingNoticesSql()

  Returns the value of field 'outstandingNoticesSql'.

  Returns:
    the value of field 'outstandingNoticesSql'.

### getPagesSent

    public java.lang.String getPagesSent()

  Returns the value of field 'pagesSent'.

  Returns:
    the value of field 'pagesSent'.

### getQueue

    public Queue getQueue(int index)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getQueue

    public Queue[] getQueue()

### getQueueCollection

    public java.util.Collection getQueueCollection()

### getQueueCount

    public int getQueueCount()

### getStatus

    public java.lang.String getStatus()

  Returns the value of field 'status'.

  Returns:
    the value of field 'status'.

### hasMatchAll

    public boolean hasMatchAll()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeAutoAcknowledge

    public boolean removeAutoAcknowledge(AutoAcknowledge vAutoAcknowledge)

  Parameters:
    `vAutoAcknowledge` -

### removeOutageCalendar

    public boolean removeOutageCalendar(java.lang.String vOutageCalendar)

  Parameters:
    `vOutageCalendar` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeQueue

    public boolean removeQueue(Queue vQueue)

  Parameters:
    `vQueue` -

### setAcknowledgeIdSql

    public void setAcknowledgeIdSql(java.lang.String acknowledgeIdSql)

  Sets the value of field 'acknowledgeIdSql'.

  Parameters:
    `acknowledgeIdSql` - the value of field 'acknowledgeIdSql'

### setAcknowledgeUpdateSql

    public void setAcknowledgeUpdateSql(java.lang.String acknowledgeUpdateSql)

  Sets the value of field 'acknowledgeUpdateSql'.

  Parameters:
    `acknowledgeUpdateSql` - the value of field 'acknowledgeUpdateSql'.

### setAutoAcknowledge

    public void setAutoAcknowledge(int index,
                                   AutoAcknowledge vAutoAcknowledge)
                            throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vAutoAcknowledge` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setAutoAcknowledge

    public void setAutoAcknowledge(AutoAcknowledge[] autoAcknowledgeArray)

  Parameters:
    `autoAcknowledgeArray` -

### setAutoAcknowledgeCollection

    public void setAutoAcknowledgeCollection(java.util.Collection vAutoAcknowledge)

  Parameters:
    `vAutoAcknowledge` -

### setMatchAll

    public void setMatchAll(boolean matchAll)

  Sets the value of field 'matchAll'.

  Parameters:
    `matchAll` - the value of field 'matchAll'.

### setNextGroupId

    public void setNextGroupId(java.lang.String nextGroupId)

  Sets the value of field 'nextGroupId'.

  Parameters:
    `nextGroupId` - the value of field 'nextGroupId'.

### setNextNotifId

    public void setNextNotifId(java.lang.String nextNotifId)

  Sets the value of field 'nextNotifId'.

  Parameters:
    `nextNotifId` - the value of field 'nextNotifId'.

### setOutageCalendar

    public void setOutageCalendar(int index,
                                  java.lang.String vOutageCalendar)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vOutageCalendar` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setOutageCalendar

    public void setOutageCalendar(java.lang.String[] outageCalendarArray)

  Parameters:
    `outageCalendarArray` -

### setOutageCalendarCollection

    public void setOutageCalendarCollection(java.util.Collection vOutageCalendar)

  Parameters:
    `vOutageCalendar` -

### setOutstandingNoticesSql

    public void setOutstandingNoticesSql(java.lang.String outstandingNoticesSql)

  Sets the value of field 'outstandingNoticesSql'.

  Parameters:
    `outstandingNoticesSql` - the value of field 'outstandingNoticesSql'.

### setPagesSent

    public void setPagesSent(java.lang.String pagesSent)

  Sets the value of field 'pagesSent'.

  Parameters:
    `pagesSent` - the value of field 'pagesSent'.

### setQueue

    public void setQueue(int index,
                         Queue vQueue)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vQueue` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setQueue

    public void setQueue(Queue[] queueArray)

  Parameters:
    `queueArray` -

### setQueueCollection

    public void setQueueCollection(java.util.Collection vQueue)

  Parameters:
    `vQueue` -

### setStatus

    public void setStatus(java.lang.String status)

  Sets the value of field 'status'.

  Parameters:
    `status` - the value of field 'status'.

### unmarshal

    public static NotifdConfiguration unmarshal(java.io.Reader reader)
                                         throws org.exolab.castor.xml.MarshalException,
                                                org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.